> For the complete documentation index, see [llms.txt](https://api.dataloy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.dataloy.com/api-release-8.7/dataloy-rest-api/webhooks/webhook-example.md).

# Webhook example

Get updates for nominated and operational voyages in Master scenario:

```
{
    "eventType":"U",
    "user": "your user code",
    "objectType":"Voyage",
    "expression": "dlpObject.getVoyageHeader() != null && (dlpObject.getVoyageHeader().getVoyageStatus().getStatusTypeCode().equals(\"NOM\") || dlpObject.getVoyageHeader().getVoyageStatus().getStatusTypeCode().equals(\"OPR\")) && dlpObject.getVoyageHeader().getIsBudget().equals(false) && dlpObject.getVoyageHeader().getIsTemplate().equals(false) &&dlpObject.getVoyageHeader().getIsEstimate().equals(false) && dlpObject.getVoyageHeader().getIsUnallocated().equals(false) && dlpObject.getScenarios() != null && dlpObject.getScenarios().size() > 0 && dlpObject.getScenarios().get(0).getScenarioCode().equals(\"MASTER\")",
    "onlyMainObject": true,
    "url": "",
    "webhookUsername": "",
    "webhookPassword": ""
}
```

Get notification when an invoice is posted and ready to be transferred to accounting. Set the status to Posted when it's transferred to accounting. For more information about accounting integration see: <https://dataloy-cloud.atlassian.net/wiki/spaces/VMSINT/pages/923414837>

```
{
    "eventType":"U",
    "user": the user code to be used in the subscription,
    "objectType":"Document",
    "expression": "dlpObject.getInvoicingStatus() != null && dlpObject.getInvoicingStatus().getStatusTypeCode().equals(\"RFP\") && (dlpObject.getDocumentType().getDocumentType().equals(\"INO\") || dlpObject.getDocumentType().getDocumentType().equals(\"INI\") || dlpObject.getDocumentType().getDocumentType().equals(\"CRI\") || dlpObject.getDocumentType().getDocumentType().equals(\"CRO\"))",
    "onlyMainObject": true,    
    "url": "your webhook url"
}
```

Get notified when accruals are posted and and ready to be transferred to accounting. Set the status to Posted when it's transferred to accounting. For more information about accounting integration see: <https://dataloy-cloud.atlassian.net/wiki/spaces/VMSINT/pages/923414837>

```
{
    "eventType":"U",
    "user": the user code to be used in the subscription,
    "objectType":"Document",
    "expression": "dlpObject.getInvoicingStatus() != null && dlpObject.getInvoicingStatus().getStatusTypeCode().equals(\"RFP\") && (dlpObject.getDocumentType().getDocumentType().equals(\"ACR\") || dlpObject.getDocumentType().getDocumentType().equals(\"ACP\"))",
    "onlyMainObject": true,    
    "url":"your webhook url"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.dataloy.com/api-release-8.7/dataloy-rest-api/webhooks/webhook-example.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
